package gov.cms.grouper.snf.model.enums;

/**
 * The listing of Nursing CMGs. Note that the ordinal of the CMGs will determine the HIPPS by
 * looking up the ASCII number
 */
public enum NursingCmg {
  ES3("A"),
  ES2("B"),
  ES1("C"),
  HDE2("D"),
  HDE1("E"),
  HBC2("F"),
  HBC1("G"),
  LDE2("H"),
  LDE1("I"),
  LBC2("J"),
  LBC1("K"),
  CDE2("L"),
  CDE1("M"),
  CBC2("N"),
  CA2("O"),
  CBC1("P"),
  CA1("Q"),
  BAB2("R"),
  BAB1("S"),
  PDE2("T"),
  PDE1("U"),
  PBC2("V"),
  PA2("W"),
  PBC1("X"),
  PA1("Y");

  private String hipps;

  NursingCmg(String hipps) {
    this.hipps = hipps;
  }

  public String getHipps() {
    return hipps;
  }
}
